1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# GTK+ - The GIMP Toolkit
18
19# Author: Fan, Chun-wei
20# Common Autotools file used to generate Visual Studio 2008+
21# Projects from their templates
22
23# This autotools file, from GLib, can be used in other projects
24# that have Visual Studio build support, and is copied into
25# $(srcroot)/build/.
26
27# * Input variables:
28#
29#   MSVCPROJS - List of Projects that should be generated
30#
31# * Simple tutorial
32#
33# Add this to Makefile.am where your library/program is built:
34#   include $(top_srcdir)/build/Makefile.msvcproj
35#   MSVCPROJS = YourProject (can be multiple projects in a single srcdir)
36#   YourProject_FILES = $(libyourlib_1_0_SOURCES)
37#   YourProject_EXCLUDES = ... # list of sources to exclude, separated by '|', wildcards allowed; use random unsed value if none
38#   YourProject_HEADERS_DIR = $(libyourlibincludedir)
39#   YourProject_HEADERS_INST = $(libyourlib_1_0_HEADERS)
40#   YourProject_HEADERS_EXCLUDES = ... # <list of headers to exclude from installation, separated by '|', wildcards allowed; use random unsed value if none>
41#
42#   dist-hook: \ # (or add to it if it is already there, note the vs9 items will also call the vs10 items in the process)
43#   	$(top_builddir)/build/win32/vs9/YourProject.vcproj	\
44#   	$(top_builddir)/build/win32/vs9/YourProject.headers
45
46# Private functions
47
48
49VPATH = @srcdir@
50am__is_gnu_make = { \
51  if test -z '$(MAKELEVEL)'; then \
52    false; \
53  elif test -n '$(MAKE_HOST)'; then \
54    true; \
55  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
56    true; \
57  else \
58    false; \
59  fi; \
60}
61am__make_running_with_option = \
62  case $${target_option-} in \
63      ?) ;; \
64      *) echo "am__make_running_with_option: internal error: invalid" \
65              "target option '$${target_option-}' specified" >&2; \
66         exit 1;; \
67  esac; \
68  has_opt=no; \
69  sane_makeflags=$$MAKEFLAGS; \
70  if $(am__is_gnu_make); then \
71    sane_makeflags=$$MFLAGS; \
72  else \
73    case $$MAKEFLAGS in \
74      *\\[\ \	]*) \
75        bs=\\; \
76        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
77          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
78    esac; \
79  fi; \
80  skip_next=no; \
81  strip_trailopt () \
82  { \
83    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
84  }; \
85  for flg in $$sane_makeflags; do \
86    test $$skip_next = yes && { skip_next=no; continue; }; \
87    case $$flg in \
88      *=*|--*) continue;; \
89        -*I) strip_trailopt 'I'; skip_next=yes;; \
90      -*I?*) strip_trailopt 'I';; \
91        -*O) strip_trailopt 'O'; skip_next=yes;; \
92      -*O?*) strip_trailopt 'O';; \
93        -*l) strip_trailopt 'l'; skip_next=yes;; \
94      -*l?*) strip_trailopt 'l';; \
95      -[dEDm]) skip_next=yes;; \
96      -[JT]) skip_next=yes;; \
97    esac; \
98    case $$flg in \
99      *$$target_option*) has_opt=yes; break;; \
100    esac; \
101  done; \
102  test $$has_opt = yes
103am__make_dryrun = (target_option=n; $(am__make_running_with_option))
104am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
105pkgdatadir = $(datadir)/@PACKAGE@
106pkgincludedir = $(includedir)/@PACKAGE@
107pkglibdir = $(libdir)/@PACKAGE@
108pkglibexecdir = $(libexecdir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123subdir = gdk/win32
124ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125am__aclocal_m4_deps = $(top_srcdir)/m4/introspection.m4 \
126	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
127am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
128	$(ACLOCAL_M4)
129DIST_COMMON = $(srcdir)/Makefile.am $(libgdkinclude_HEADERS) \
130	$(am__DIST_COMMON)
131mkinstalldirs = $(install_sh) -d
132CONFIG_HEADER = $(top_builddir)/config.h
133CONFIG_CLEAN_FILES =
134CONFIG_CLEAN_VPATH_FILES =
135LTLIBRARIES = $(noinst_LTLIBRARIES)
136libgdk_win32_la_LIBADD =
137am_libgdk_win32_la_OBJECTS = gdkapplaunchcontext-win32.lo \
138	gdkcolor-win32.lo gdkcursor-win32.lo gdkdisplay-win32.lo \
139	gdkdnd-win32.lo gdkdrawable-win32.lo gdkevents-win32.lo \
140	gdkfont-win32.lo gdkgc-win32.lo gdkgeometry-win32.lo \
141	gdkglobals-win32.lo gdkim-win32.lo gdkimage-win32.lo \
142	gdkinput.lo gdkinput-win32.lo gdkkeys-win32.lo \
143	gdkmain-win32.lo gdkpixmap-win32.lo gdkproperty-win32.lo \
144	gdkscreen-win32.lo gdkselection-win32.lo gdkspawn-win32.lo \
145	gdktestutils-win32.lo gdkvisual-win32.lo gdkwin32id.lo \
146	gdkwindow-win32.lo
147libgdk_win32_la_OBJECTS = $(am_libgdk_win32_la_OBJECTS)
148AM_V_lt = $(am__v_lt_@AM_V@)
149am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
150am__v_lt_0 = --silent
151am__v_lt_1 =
152AM_V_P = $(am__v_P_@AM_V@)
153am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
154am__v_P_0 = false
155am__v_P_1 = :
156AM_V_GEN = $(am__v_GEN_@AM_V@)
157am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
158am__v_GEN_0 = @echo "  GEN     " $@;
159am__v_GEN_1 =
160AM_V_at = $(am__v_at_@AM_V@)
161am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
162am__v_at_0 = @
163am__v_at_1 =
164DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
165depcomp = $(SHELL) $(top_srcdir)/depcomp
166am__maybe_remake_depfiles = depfiles
167am__depfiles_remade = ./$(DEPDIR)/gdkapplaunchcontext-win32.Plo \
168	./$(DEPDIR)/gdkcolor-win32.Plo ./$(DEPDIR)/gdkcursor-win32.Plo \
169	./$(DEPDIR)/gdkdisplay-win32.Plo ./$(DEPDIR)/gdkdnd-win32.Plo \
170	./$(DEPDIR)/gdkdrawable-win32.Plo \
171	./$(DEPDIR)/gdkevents-win32.Plo ./$(DEPDIR)/gdkfont-win32.Plo \
172	./$(DEPDIR)/gdkgc-win32.Plo ./$(DEPDIR)/gdkgeometry-win32.Plo \
173	./$(DEPDIR)/gdkglobals-win32.Plo ./$(DEPDIR)/gdkim-win32.Plo \
174	./$(DEPDIR)/gdkimage-win32.Plo ./$(DEPDIR)/gdkinput-win32.Plo \
175	./$(DEPDIR)/gdkinput.Plo ./$(DEPDIR)/gdkkeys-win32.Plo \
176	./$(DEPDIR)/gdkmain-win32.Plo ./$(DEPDIR)/gdkpixmap-win32.Plo \
177	./$(DEPDIR)/gdkproperty-win32.Plo \
178	./$(DEPDIR)/gdkscreen-win32.Plo \
179	./$(DEPDIR)/gdkselection-win32.Plo \
180	./$(DEPDIR)/gdkspawn-win32.Plo \
181	./$(DEPDIR)/gdktestutils-win32.Plo \
182	./$(DEPDIR)/gdkvisual-win32.Plo ./$(DEPDIR)/gdkwin32id.Plo \
183	./$(DEPDIR)/gdkwindow-win32.Plo
184am__mv = mv -f
185COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
186	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
187LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
188	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
189	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
190	$(AM_CFLAGS) $(CFLAGS)
191AM_V_CC = $(am__v_CC_@AM_V@)
192am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
193am__v_CC_0 = @echo "  CC      " $@;
194am__v_CC_1 =
195CCLD = $(CC)
196LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
197	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
198	$(AM_LDFLAGS) $(LDFLAGS) -o $@
199AM_V_CCLD = $(am__v_CCLD_@AM_V@)
200am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
201am__v_CCLD_0 = @echo "  CCLD    " $@;
202am__v_CCLD_1 =
203SOURCES = $(libgdk_win32_la_SOURCES)
204DIST_SOURCES = $(libgdk_win32_la_SOURCES)
205RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
206	ctags-recursive dvi-recursive html-recursive info-recursive \
207	install-data-recursive install-dvi-recursive \
208	install-exec-recursive install-html-recursive \
209	install-info-recursive install-pdf-recursive \
210	install-ps-recursive install-recursive installcheck-recursive \
211	installdirs-recursive pdf-recursive ps-recursive \
212	tags-recursive uninstall-recursive
213am__can_run_installinfo = \
214  case $$AM_UPDATE_INFO_DIR in \
215    n|no|NO) false;; \
216    *) (install-info --version) >/dev/null 2>&1;; \
217  esac
218am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
219am__vpath_adj = case $$p in \
220    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
221    *) f=$$p;; \
222  esac;
223am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
224am__install_max = 40
225am__nobase_strip_setup = \
226  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
227am__nobase_strip = \
228  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
229am__nobase_list = $(am__nobase_strip_setup); \
230  for p in $$list; do echo "$$p $$p"; done | \
231  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
232  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
233    if (++n[$$2] == $(am__install_max)) \
234      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
235    END { for (dir in files) print dir, files[dir] }'
236am__base_list = \
237  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
238  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
239am__uninstall_files_from_dir = { \
240  test -z "$$files" \
241    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
242    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
243         $(am__cd) "$$dir" && rm -f $$files; }; \
244  }
245am__installdirs = "$(DESTDIR)$(libgdkincludedir)"
246HEADERS = $(libgdkinclude_HEADERS)
247RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
248  distclean-recursive maintainer-clean-recursive
249am__recursive_targets = \
250  $(RECURSIVE_TARGETS) \
251  $(RECURSIVE_CLEAN_TARGETS) \
252  $(am__extra_recursive_targets)
253AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
254	distdir distdir-am
255am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
256# Read a list of newline-separated strings from the standard input,
257# and print each of them once, without duplicates.  Input order is
258# *not* preserved.
259am__uniquify_input = $(AWK) '\
260  BEGIN { nonempty = 0; } \
261  { items[$$0] = 1; nonempty = 1; } \
262  END { if (nonempty) { for (i in items) print i; }; } \
263'
264# Make sure the list of sources is unique.  This is necessary because,
265# e.g., the same source file might be shared among _SOURCES variables
266# for different programs/libraries.
267am__define_uniq_tagged_files = \
268  list='$(am__tagged_files)'; \
269  unique=`for i in $$list; do \
270    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
271  done | $(am__uniquify_input)`
272ETAGS = etags
273CTAGS = ctags
274DIST_SUBDIRS = $(SUBDIRS)
275am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.decl \
276	$(top_srcdir)/build/Makefile.msvcproj $(top_srcdir)/depcomp
277DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
278am__relativize = \
279  dir0=`pwd`; \
280  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
281  sed_rest='s,^[^/]*/*,,'; \
282  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
283  sed_butlast='s,/*[^/]*$$,,'; \
284  while test -n "$$dir1"; do \
285    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
286    if test "$$first" != "."; then \
287      if test "$$first" = ".."; then \
288        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
289        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
290      else \
291        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
292        if test "$$first2" = "$$first"; then \
293          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
294        else \
295          dir2="../$$dir2"; \
296        fi; \
297        dir0="$$dir0"/"$$first"; \
298      fi; \
299    fi; \
300    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
301  done; \
302  reldir="$$dir2"
303ACLOCAL = @ACLOCAL@
304AMTAR = @AMTAR@
305AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
306AR = @AR@
307AS = @AS@
308ATK_PREFIX = @ATK_PREFIX@
309AUTOCONF = @AUTOCONF@
310AUTOHEADER = @AUTOHEADER@
311AUTOMAKE = @AUTOMAKE@
312AWK = @AWK@
313BASE_DEPENDENCIES_CFLAGS = @BASE_DEPENDENCIES_CFLAGS@
314BASE_DEPENDENCIES_LIBS = @BASE_DEPENDENCIES_LIBS@
315CAIRO_BACKEND_CFLAGS = @CAIRO_BACKEND_CFLAGS@
316CAIRO_BACKEND_LIBS = @CAIRO_BACKEND_LIBS@
317CAIRO_PREFIX = @CAIRO_PREFIX@
318CATALOGS = @CATALOGS@
319CATOBJEXT = @CATOBJEXT@
320CC = @CC@
321CCAS = @CCAS@
322CCASDEPMODE = @CCASDEPMODE@
323CCASFLAGS = @CCASFLAGS@
324CCDEPMODE = @CCDEPMODE@
325CFLAGS = @CFLAGS@
326CPP = @CPP@
327CPPFLAGS = @CPPFLAGS@
328CUPS_API_MAJOR = @CUPS_API_MAJOR@
329CUPS_API_MINOR = @CUPS_API_MINOR@
330CUPS_CFLAGS = @CUPS_CFLAGS@
331CUPS_CONFIG = @CUPS_CONFIG@
332CUPS_LIBS = @CUPS_LIBS@
333CXX = @CXX@
334CXXCPP = @CXXCPP@
335CXXDEPMODE = @CXXDEPMODE@
336CXXFLAGS = @CXXFLAGS@
337CYGPATH_W = @CYGPATH_W@
338DATADIRNAME = @DATADIRNAME@
339DB2HTML = @DB2HTML@
340DEFS = @DEFS@
341DEPDIR = @DEPDIR@
342DIRECTFB_CFLAGS = @DIRECTFB_CFLAGS@
343DIRECTFB_LIBS = @DIRECTFB_LIBS@
344DLLTOOL = @DLLTOOL@
345DSYMUTIL = @DSYMUTIL@
346DUMPBIN = @DUMPBIN@
347ECHO_C = @ECHO_C@
348ECHO_N = @ECHO_N@
349ECHO_T = @ECHO_T@
350EGREP = @EGREP@
351EXEEXT = @EXEEXT@
352EXE_MANIFEST_ARCHITECTURE = @EXE_MANIFEST_ARCHITECTURE@
353FGREP = @FGREP@
354GAIL_INET_LIBS = @GAIL_INET_LIBS@
355GAIL_LT_CURRENT_MINUS_AGE = @GAIL_LT_CURRENT_MINUS_AGE@
356GAIL_LT_VERSION_INFO = @GAIL_LT_VERSION_INFO@
357GDK_DEP_CFLAGS = @GDK_DEP_CFLAGS@
358GDK_DEP_LIBS = @GDK_DEP_LIBS@
359GDK_EXTRA_CFLAGS = @GDK_EXTRA_CFLAGS@
360GDK_EXTRA_LIBS = @GDK_EXTRA_LIBS@
361GDK_PACKAGES = @GDK_PACKAGES@
362GDK_PIXBUF_CSOURCE = @GDK_PIXBUF_CSOURCE@
363GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
364GDK_WLIBS = @GDK_WLIBS@
365GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
366GLIB_CFLAGS = @GLIB_CFLAGS@
367GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
368GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
369GLIB_LIBS = @GLIB_LIBS@
370GLIB_MKENUMS = @GLIB_MKENUMS@
371GLIB_PREFIX = @GLIB_PREFIX@
372GMODULE_CFLAGS = @GMODULE_CFLAGS@
373GMODULE_LIBS = @GMODULE_LIBS@
374GMOFILES = @GMOFILES@
375GMSGFMT = @GMSGFMT@
376GOBJECT_QUERY = @GOBJECT_QUERY@
377GREP = @GREP@
378GTKDOC_CHECK = @GTKDOC_CHECK@
379GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
380GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
381GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
382GTKDOC_MKPDF = @GTKDOC_MKPDF@
383GTKDOC_REBASE = @GTKDOC_REBASE@
384GTK_API_VERSION = @GTK_API_VERSION@
385GTK_BINARY_AGE = @GTK_BINARY_AGE@
386GTK_BINARY_VERSION = @GTK_BINARY_VERSION@
387GTK_DEBUG_FLAGS = @GTK_DEBUG_FLAGS@
388GTK_DEP_CFLAGS = @GTK_DEP_CFLAGS@
389GTK_DEP_LIBS = @GTK_DEP_LIBS@
390GTK_EXTRA_CFLAGS = @GTK_EXTRA_CFLAGS@
391GTK_EXTRA_LIBS = @GTK_EXTRA_LIBS@
392GTK_INTERFACE_AGE = @GTK_INTERFACE_AGE@
393GTK_MAJOR_VERSION = @GTK_MAJOR_VERSION@
394GTK_MICRO_VERSION = @GTK_MICRO_VERSION@
395GTK_MINOR_VERSION = @GTK_MINOR_VERSION@
396GTK_PACKAGES = @GTK_PACKAGES@
397GTK_UPDATE_ICON_CACHE = @GTK_UPDATE_ICON_CACHE@
398GTK_VERSION = @GTK_VERSION@
399GTK_XIM_FLAGS = @GTK_XIM_FLAGS@
400HAVE_HTTP_AUTHSTRING = @HAVE_HTTP_AUTHSTRING@
401HTML_DIR = @HTML_DIR@
402INCLUDED_IMMODULE_DEFINE = @INCLUDED_IMMODULE_DEFINE@
403INCLUDED_IMMODULE_OBJ = @INCLUDED_IMMODULE_OBJ@
404INDENT = @INDENT@
405INSTALL = @INSTALL@
406INSTALL_DATA = @INSTALL_DATA@
407INSTALL_PROGRAM = @INSTALL_PROGRAM@
408INSTALL_SCRIPT = @INSTALL_SCRIPT@
409INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
410INSTOBJEXT = @INSTOBJEXT@
411INTLLIBS = @INTLLIBS@
412INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
413INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
414INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
415INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
416INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
417INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
418INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
419INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
420INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
421LD = @LD@
422LDFLAGS = @LDFLAGS@
423LIBOBJS = @LIBOBJS@
424LIBS = @LIBS@
425LIBTOOL = @LIBTOOL@
426LIBTOOL_EXPORT_OPTIONS = @LIBTOOL_EXPORT_OPTIONS@
427LIB_EXE_MACHINE_FLAG = @LIB_EXE_MACHINE_FLAG@
428LIPO = @LIPO@
429LN_S = @LN_S@
430LTLIBOBJS = @LTLIBOBJS@
431LT_CURRENT_MINUS_AGE = @LT_CURRENT_MINUS_AGE@
432LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
433LT_VERSION_INFO = @LT_VERSION_INFO@
434MAINT = @MAINT@
435MAKEINFO = @MAKEINFO@
436MANIFEST_TOOL = @MANIFEST_TOOL@
437MATH_LIB = @MATH_LIB@
438MKDIR_P = @MKDIR_P@
439MKINSTALLDIRS = @MKINSTALLDIRS@
440MSGFMT = @MSGFMT@
441MSGFMT_OPTS = @MSGFMT_OPTS@
442NM = @NM@
443NMEDIT = @NMEDIT@
444OBJDUMP = @OBJDUMP@
445OBJEXT = @OBJEXT@
446OTOOL = @OTOOL@
447OTOOL64 = @OTOOL64@
448PACKAGE = @PACKAGE@
449PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
450PACKAGE_NAME = @PACKAGE_NAME@
451PACKAGE_STRING = @PACKAGE_STRING@
452PACKAGE_TARNAME = @PACKAGE_TARNAME@
453PACKAGE_URL = @PACKAGE_URL@
454PACKAGE_VERSION = @PACKAGE_VERSION@
455PANGO_PREFIX = @PANGO_PREFIX@
456PATH_SEPARATOR = @PATH_SEPARATOR@
457PERL = @PERL@
458PKG_CONFIG = @PKG_CONFIG@
459PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
460PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
461POFILES = @POFILES@
462POSUB = @POSUB@
463PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
464PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
465RANLIB = @RANLIB@
466REBUILD = @REBUILD@
467SED = @SED@
468SET_MAKE = @SET_MAKE@
469SHELL = @SHELL@
470STRIP = @STRIP@
471USE_NLS = @USE_NLS@
472VERSION = @VERSION@
473WINDRES = @WINDRES@
474XGETTEXT = @XGETTEXT@
475XMKMF = @XMKMF@
476XMLCATALOG = @XMLCATALOG@
477XML_CATALOG_FILE = @XML_CATALOG_FILE@
478XSLTPROC = @XSLTPROC@
479X_CFLAGS = @X_CFLAGS@
480X_EXTRA_LIBS = @X_EXTRA_LIBS@
481X_LIBS = @X_LIBS@
482X_PRE_LIBS = @X_PRE_LIBS@
483abs_builddir = @abs_builddir@
484abs_srcdir = @abs_srcdir@
485abs_top_builddir = @abs_top_builddir@
486abs_top_srcdir = @abs_top_srcdir@
487ac_ct_AR = @ac_ct_AR@
488ac_ct_CC = @ac_ct_CC@
489ac_ct_CXX = @ac_ct_CXX@
490ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
491am__include = @am__include@
492am__leading_dot = @am__leading_dot@
493am__quote = @am__quote@
494am__tar = @am__tar@
495am__untar = @am__untar@
496bindir = @bindir@
497build = @build@
498build_alias = @build_alias@
499build_cpu = @build_cpu@
500build_os = @build_os@
501build_vendor = @build_vendor@
502builddir = @builddir@
503datadir = @datadir@
504datarootdir = @datarootdir@
505docdir = @docdir@
506dvidir = @dvidir@
507exec_prefix = @exec_prefix@
508gdktarget = @gdktarget@
509gdktargetlib = @gdktargetlib@
510gtktargetlib = @gtktargetlib@
511host = @host@
512host_alias = @host_alias@
513host_cpu = @host_cpu@
514host_os = @host_os@
515host_vendor = @host_vendor@
516htmldir = @htmldir@
517includedir = @includedir@
518infodir = @infodir@
519install_sh = @install_sh@
520libdir = @libdir@
521libexecdir = @libexecdir@
522localedir = @localedir@
523localstatedir = @localstatedir@
524mandir = @mandir@
525mkdir_p = @mkdir_p@
526ms_librarian = @ms_librarian@
527oldincludedir = @oldincludedir@
528pdfdir = @pdfdir@
529prefix = @prefix@
530program_transform_name = @program_transform_name@
531psdir = @psdir@
532sbindir = @sbindir@
533sharedstatedir = @sharedstatedir@
534srcdir = @srcdir@
535sysconfdir = @sysconfdir@
536target_alias = @target_alias@
537top_build_prefix = @top_build_prefix@
538top_builddir = @top_builddir@
539top_srcdir = @top_srcdir@
540GTESTER = gtester		# in $PATH for non-GLIB packages
541GTESTER_REPORT = gtester-report		# in $PATH for non-GLIB packages
542
543# initialize variables for unconditional += appending
544EXTRA_DIST = bdfcursor.c makefile.msc
545TEST_PROGS =
546
547### testing rules
548
549# Xvfb based test rules
550XVFB = Xvfb -ac -noreset -screen 0 800x600x16
551XIDS = 101 102 103 104 105 106 107 197 199 211 223 227 293 307 308 309 310 311 \
552   491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 \
553   991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 \
554  1008 1009 4703 4721 4723 4729 4733 4751 9973 9974 9975 9976 9977 9978 9979 \
555  9980 9981 9982 9983 9984 9985 9986 9987 9988 9989 9990 9991 9992 9993 9994 \
556  9995 9996 9997 9998 9999
557
558SKIP_GDKTARGET = \
559	test "$(gdktarget)" != "x11" \
560	&& echo "Gtk+Tests:INFO: Skipping GUI tests for non-X11 target."
561
562XVFB_START = \
563	${XVFB} -help 2>/dev/null 1>&2 \
564	&& XID=`for id in $(XIDS) ; do test -e /tmp/.X$$id-lock || { echo $$id; exit 0; }; done; exit 1` \
565	&& { ${XVFB} :$$XID -screen 0 800x600x16 -nolisten tcp -auth /dev/null >/dev/null 2>&1 & \
566	       trap "kill -15 $$! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } \
567	|| { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; } \
568	&& DISPLAY=:$$XID && export DISPLAY
569
570libgdkincludedir = $(includedir)/gtk-2.0/gdk
571INCLUDES = \
572	-DG_LOG_DOMAIN=\"Gdk\"	\
573	-DINSIDE_GDK_WIN32	\
574	-I$(top_srcdir)		\
575	-I$(top_srcdir)/gdk	\
576	-I$(top_builddir)/gdk	\
577	$(GTK_DEBUG_FLAGS) 	\
578	$(GDK_DEP_CFLAGS)	\
579	$(GDK_WIN32_EXTRA_CFLAGS)\
580	-DGDK_COMPILATION
581
582LDADDS = $(GDK_DEP_LIBS)
583noinst_LTLIBRARIES = libgdk-win32.la
584SUBDIRS = rc
585libgdk_win32_la_SOURCES = \
586	xcursors.h \
587	gdkapplaunchcontext-win32.c \
588	gdkcolor-win32.c \
589	gdkcursor-win32.c \
590	gdkdisplay-win32.c \
591	gdkdnd-win32.c \
592	gdkdrawable-win32.c \
593	gdkdrawable-win32.h \
594	gdkevents-win32.c \
595	gdkfont-win32.c \
596	gdkgc-win32.c \
597	gdkgeometry-win32.c \
598	gdkglobals-win32.c \
599	gdkim-win32.c \
600	gdkimage-win32.c \
601	gdkinput.c \
602	gdkinput-win32.c \
603	gdkinput-win32.h \
604	gdkkeys-win32.c \
605	gdkmain-win32.c \
606	gdkpixmap-win32.c \
607	gdkpixmap-win32.h \
608	gdkprivate-win32.h \
609	gdkproperty-win32.c \
610	gdkscreen-win32.c \
611	gdkselection-win32.c \
612	gdkspawn-win32.c \
613	gdktestutils-win32.c \
614	gdkvisual-win32.c \
615	gdkwin32.h \
616	gdkwin32keys.h \
617	gdkwin32id.c \
618	gdkwindow-win32.c \
619	gdkwindow-win32.h \
620	wintab.h \
621	pktdef.h
622
623libgdkinclude_HEADERS = \
624	gdkwin32.h
625
626
627# -------- MSVC Project Items -----
628MSVCPROJS = gdk-win32
629gdk_win32_FILES = $(libgdk_win32_la_SOURCES)
630gdk_win32_EXCLUDES = gdkwin32dummy
631gdk_win32_HEADERS_DIR = $(libgdkincludedir)
632gdk_win32_HEADERS_INST = $(libgdkinclude_HEADERS)
633gdk_win32_HEADERS_EXCLUDES = gdkwin32dummy
634_proj_name = $(subst /,_,$(subst -,_,$(subst .,_,$(1))))
635_proj_path_raw := $(subst $(abs_top_srcdir),,$(abs_srcdir))
636_proj_path = $(subst /,\\,$(_proj_path_raw))
637_proj_subdir_int = $(subst \\\\,\\,\\$(_proj_path)\\)
638_proj_subdir = $(subst \\.\\,\\,$(_proj_subdir_int))
639_proj_files_raw = $(subst /,\\,$($(_proj_name)_FILES))
640_proj_files = $(subst $(srcdir)\\,,$(subst $(builddir)\\,,$(subst $(top_builddir)\\$(_proj_path)\\,\\,$(_proj_files_raw))))
641_proj_filters = $($(_proj_name)_EXCLUDES)
642_proj_headers_raw = $(subst /,\\,$($(_proj_name)_HEADERS_INST))
643_proj_headers = $(subst $(srcdir)\\,,$(subst $(builddir)\\,,$(subst $(top_builddir)\\$(_proj_path)\\,\\,$(_proj_headers_raw))))
644_proj_headers_excludes = $($(_proj_name)_HEADERS_EXCLUDES)
645_headers_dest_posix = $(subst $(includedir),,$($(_proj_name)_HEADERS_DIR))
646_headers_destdir = $(subst /,\\,$(_headers_dest_posix))
647all: all-recursive
648
649.SUFFIXES:
650.SUFFIXES: .c .lo .o .obj
651$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.decl $(top_srcdir)/build/Makefile.msvcproj $(am__configure_deps)
652	@for dep in $?; do \
653	  case '$(am__configure_deps)' in \
654	    *$$dep*) \
655	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
656	        && { if test -f $@; then exit 0; else break; fi; }; \
657	      exit 1;; \
658	  esac; \
659	done; \
660	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu gdk/win32/Makefile'; \
661	$(am__cd) $(top_srcdir) && \
662	  $(AUTOMAKE) --gnu gdk/win32/Makefile
663Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
664	@case '$?' in \
665	  *config.status*) \
666	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
667	  *) \
668	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
669	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
670	esac;
671$(top_srcdir)/Makefile.decl $(top_srcdir)/build/Makefile.msvcproj $(am__empty):
672
673$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
674	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
675
676$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
677	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
678$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
679	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
680$(am__aclocal_m4_deps):
681
682clean-noinstLTLIBRARIES:
683	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
684	@list='$(noinst_LTLIBRARIES)'; \
685	locs=`for p in $$list; do echo $$p; done | \
686	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
687	      sort -u`; \
688	test -z "$$locs" || { \
689	  echo rm -f $${locs}; \
690	  rm -f $${locs}; \
691	}
692
693libgdk-win32.la: $(libgdk_win32_la_OBJECTS) $(libgdk_win32_la_DEPENDENCIES) $(EXTRA_libgdk_win32_la_DEPENDENCIES)
694	$(AM_V_CCLD)$(LINK)  $(libgdk_win32_la_OBJECTS) $(libgdk_win32_la_LIBADD) $(LIBS)
695
696mostlyclean-compile:
697	-rm -f *.$(OBJEXT)
698
699distclean-compile:
700	-rm -f *.tab.c
701
702@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkapplaunchcontext-win32.Plo@am__quote@ # am--include-marker
703@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkcolor-win32.Plo@am__quote@ # am--include-marker
704@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkcursor-win32.Plo@am__quote@ # am--include-marker
705@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkdisplay-win32.Plo@am__quote@ # am--include-marker
706@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkdnd-win32.Plo@am__quote@ # am--include-marker
707@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkdrawable-win32.Plo@am__quote@ # am--include-marker
708@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkevents-win32.Plo@am__quote@ # am--include-marker
709@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkfont-win32.Plo@am__quote@ # am--include-marker
710@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkgc-win32.Plo@am__quote@ # am--include-marker
711@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkgeometry-win32.Plo@am__quote@ # am--include-marker
712@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkglobals-win32.Plo@am__quote@ # am--include-marker
713@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkim-win32.Plo@am__quote@ # am--include-marker
714@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkimage-win32.Plo@am__quote@ # am--include-marker
715@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkinput-win32.Plo@am__quote@ # am--include-marker
716@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkinput.Plo@am__quote@ # am--include-marker
717@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkkeys-win32.Plo@am__quote@ # am--include-marker
718@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkmain-win32.Plo@am__quote@ # am--include-marker
719@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkpixmap-win32.Plo@am__quote@ # am--include-marker
720@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkproperty-win32.Plo@am__quote@ # am--include-marker
721@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkscreen-win32.Plo@am__quote@ # am--include-marker
722@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkselection-win32.Plo@am__quote@ # am--include-marker
723@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkspawn-win32.Plo@am__quote@ # am--include-marker
724@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdktestutils-win32.Plo@am__quote@ # am--include-marker
725@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkvisual-win32.Plo@am__quote@ # am--include-marker
726@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkwin32id.Plo@am__quote@ # am--include-marker
727@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdkwindow-win32.Plo@am__quote@ # am--include-marker
728
729$(am__depfiles_remade):
730	@$(MKDIR_P) $(@D)
731	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
732
733am--depfiles: $(am__depfiles_remade)
734
735.c.o:
736@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
737@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
738@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
739@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
741
742.c.obj:
743@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
744@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
745@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
746@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
748
749.c.lo:
750@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
751@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
752@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
753@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
755
756mostlyclean-libtool:
757	-rm -f *.lo
758
759clean-libtool:
760	-rm -rf .libs _libs
761install-libgdkincludeHEADERS: $(libgdkinclude_HEADERS)
762	@$(NORMAL_INSTALL)
763	@list='$(libgdkinclude_HEADERS)'; test -n "$(libgdkincludedir)" || list=; \
764	if test -n "$$list"; then \
765	  echo " $(MKDIR_P) '$(DESTDIR)$(libgdkincludedir)'"; \
766	  $(MKDIR_P) "$(DESTDIR)$(libgdkincludedir)" || exit 1; \
767	fi; \
768	for p in $$list; do \
769	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
770	  echo "$$d$$p"; \
771	done | $(am__base_list) | \
772	while read files; do \
773	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libgdkincludedir)'"; \
774	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libgdkincludedir)" || exit $$?; \
775	done
776
777uninstall-libgdkincludeHEADERS:
778	@$(NORMAL_UNINSTALL)
779	@list='$(libgdkinclude_HEADERS)'; test -n "$(libgdkincludedir)" || list=; \
780	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
781	dir='$(DESTDIR)$(libgdkincludedir)'; $(am__uninstall_files_from_dir)
782
783# This directory's subdirectories are mostly independent; you can cd
784# into them and run 'make' without going through this Makefile.
785# To change the values of 'make' variables: instead of editing Makefiles,
786# (1) if the variable is set in 'config.status', edit 'config.status'
787#     (which will cause the Makefiles to be regenerated when you run 'make');
788# (2) otherwise, pass the desired values on the 'make' command line.
789$(am__recursive_targets):
790	@fail=; \
791	if $(am__make_keepgoing); then \
792	  failcom='fail=yes'; \
793	else \
794	  failcom='exit 1'; \
795	fi; \
796	dot_seen=no; \
797	target=`echo $@ | sed s/-recursive//`; \
798	case "$@" in \
799	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
800	  *) list='$(SUBDIRS)' ;; \
801	esac; \
802	for subdir in $$list; do \
803	  echo "Making $$target in $$subdir"; \
804	  if test "$$subdir" = "."; then \
805	    dot_seen=yes; \
806	    local_target="$$target-am"; \
807	  else \
808	    local_target="$$target"; \
809	  fi; \
810	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
811	  || eval $$failcom; \
812	done; \
813	if test "$$dot_seen" = "no"; then \
814	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
815	fi; test -z "$$fail"
816
817ID: $(am__tagged_files)
818	$(am__define_uniq_tagged_files); mkid -fID $$unique
819tags: tags-recursive
820TAGS: tags
821
822tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
823	set x; \
824	here=`pwd`; \
825	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
826	  include_option=--etags-include; \
827	  empty_fix=.; \
828	else \
829	  include_option=--include; \
830	  empty_fix=; \
831	fi; \
832	list='$(SUBDIRS)'; for subdir in $$list; do \
833	  if test "$$subdir" = .; then :; else \
834	    test ! -f $$subdir/TAGS || \
835	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
836	  fi; \
837	done; \
838	$(am__define_uniq_tagged_files); \
839	shift; \
840	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
841	  test -n "$$unique" || unique=$$empty_fix; \
842	  if test $$# -gt 0; then \
843	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
844	      "$$@" $$unique; \
845	  else \
846	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
847	      $$unique; \
848	  fi; \
849	fi
850ctags: ctags-recursive
851
852CTAGS: ctags
853ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
854	$(am__define_uniq_tagged_files); \
855	test -z "$(CTAGS_ARGS)$$unique" \
856	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
857	     $$unique
858
859GTAGS:
860	here=`$(am__cd) $(top_builddir) && pwd` \
861	  && $(am__cd) $(top_srcdir) \
862	  && gtags -i $(GTAGS_ARGS) "$$here"
863cscopelist: cscopelist-recursive
864
865cscopelist-am: $(am__tagged_files)
866	list='$(am__tagged_files)'; \
867	case "$(srcdir)" in \
868	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
869	  *) sdir=$(subdir)/$(srcdir) ;; \
870	esac; \
871	for i in $$list; do \
872	  if test -f "$$i"; then \
873	    echo "$(subdir)/$$i"; \
874	  else \
875	    echo "$$sdir/$$i"; \
876	  fi; \
877	done >> $(top_builddir)/cscope.files
878
879distclean-tags:
880	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
881
882distdir: $(BUILT_SOURCES)
883	$(MAKE) $(AM_MAKEFLAGS) distdir-am
884
885distdir-am: $(DISTFILES)
886	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
887	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
888	list='$(DISTFILES)'; \
889	  dist_files=`for file in $$list; do echo $$file; done | \
890	  sed -e "s|^$$srcdirstrip/||;t" \
891	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
892	case $$dist_files in \
893	  */*) $(MKDIR_P) `echo "$$dist_files" | \
894			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
895			   sort -u` ;; \
896	esac; \
897	for file in $$dist_files; do \
898	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
899	  if test -d $$d/$$file; then \
900	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
901	    if test -d "$(distdir)/$$file"; then \
902	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
903	    fi; \
904	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
905	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
906	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
907	    fi; \
908	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
909	  else \
910	    test -f "$(distdir)/$$file" \
911	    || cp -p $$d/$$file "$(distdir)/$$file" \
912	    || exit 1; \
913	  fi; \
914	done
915	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
916	  if test "$$subdir" = .; then :; else \
917	    $(am__make_dryrun) \
918	      || test -d "$(distdir)/$$subdir" \
919	      || $(MKDIR_P) "$(distdir)/$$subdir" \
920	      || exit 1; \
921	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
922	    $(am__relativize); \
923	    new_distdir=$$reldir; \
924	    dir1=$$subdir; dir2="$(top_distdir)"; \
925	    $(am__relativize); \
926	    new_top_distdir=$$reldir; \
927	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
928	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
929	    ($(am__cd) $$subdir && \
930	      $(MAKE) $(AM_MAKEFLAGS) \
931	        top_distdir="$$new_top_distdir" \
932	        distdir="$$new_distdir" \
933		am__remove_distdir=: \
934		am__skip_length_check=: \
935		am__skip_mode_fix=: \
936	        distdir) \
937	      || exit 1; \
938	  fi; \
939	done
940	$(MAKE) $(AM_MAKEFLAGS) \
941	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
942	  dist-hook
943check-am: all-am
944	$(MAKE) $(AM_MAKEFLAGS) check-local
945check: check-recursive
946all-am: Makefile $(LTLIBRARIES) $(HEADERS)
947installdirs: installdirs-recursive
948installdirs-am:
949	for dir in "$(DESTDIR)$(libgdkincludedir)"; do \
950	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
951	done
952install: install-recursive
953install-exec: install-exec-recursive
954install-data: install-data-recursive
955uninstall: uninstall-recursive
956
957install-am: all-am
958	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
959
960installcheck: installcheck-recursive
961install-strip:
962	if test -z '$(STRIP)'; then \
963	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
964	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
965	      install; \
966	else \
967	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
968	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
969	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
970	fi
971mostlyclean-generic:
972
973clean-generic:
974
975distclean-generic:
976	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
977	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
978
979maintainer-clean-generic:
980	@echo "This command is intended for maintainers to use"
981	@echo "it deletes files that may require special tools to rebuild."
982clean: clean-recursive
983
984clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
985	mostlyclean-am
986
987distclean: distclean-recursive
988		-rm -f ./$(DEPDIR)/gdkapplaunchcontext-win32.Plo
989	-rm -f ./$(DEPDIR)/gdkcolor-win32.Plo
990	-rm -f ./$(DEPDIR)/gdkcursor-win32.Plo
991	-rm -f ./$(DEPDIR)/gdkdisplay-win32.Plo
992	-rm -f ./$(DEPDIR)/gdkdnd-win32.Plo
993	-rm -f ./$(DEPDIR)/gdkdrawable-win32.Plo
994	-rm -f ./$(DEPDIR)/gdkevents-win32.Plo
995	-rm -f ./$(DEPDIR)/gdkfont-win32.Plo
996	-rm -f ./$(DEPDIR)/gdkgc-win32.Plo
997	-rm -f ./$(DEPDIR)/gdkgeometry-win32.Plo
998	-rm -f ./$(DEPDIR)/gdkglobals-win32.Plo
999	-rm -f ./$(DEPDIR)/gdkim-win32.Plo
1000	-rm -f ./$(DEPDIR)/gdkimage-win32.Plo
1001	-rm -f ./$(DEPDIR)/gdkinput-win32.Plo
1002	-rm -f ./$(DEPDIR)/gdkinput.Plo
1003	-rm -f ./$(DEPDIR)/gdkkeys-win32.Plo
1004	-rm -f ./$(DEPDIR)/gdkmain-win32.Plo
1005	-rm -f ./$(DEPDIR)/gdkpixmap-win32.Plo
1006	-rm -f ./$(DEPDIR)/gdkproperty-win32.Plo
1007	-rm -f ./$(DEPDIR)/gdkscreen-win32.Plo
1008	-rm -f ./$(DEPDIR)/gdkselection-win32.Plo
1009	-rm -f ./$(DEPDIR)/gdkspawn-win32.Plo
1010	-rm -f ./$(DEPDIR)/gdktestutils-win32.Plo
1011	-rm -f ./$(DEPDIR)/gdkvisual-win32.Plo
1012	-rm -f ./$(DEPDIR)/gdkwin32id.Plo
1013	-rm -f ./$(DEPDIR)/gdkwindow-win32.Plo
1014	-rm -f Makefile
1015distclean-am: clean-am distclean-compile distclean-generic \
1016	distclean-tags
1017
1018dvi: dvi-recursive
1019
1020dvi-am:
1021
1022html: html-recursive
1023
1024html-am:
1025
1026info: info-recursive
1027
1028info-am:
1029
1030install-data-am: install-libgdkincludeHEADERS
1031
1032install-dvi: install-dvi-recursive
1033
1034install-dvi-am:
1035
1036install-exec-am:
1037
1038install-html: install-html-recursive
1039
1040install-html-am:
1041
1042install-info: install-info-recursive
1043
1044install-info-am:
1045
1046install-man:
1047
1048install-pdf: install-pdf-recursive
1049
1050install-pdf-am:
1051
1052install-ps: install-ps-recursive
1053
1054install-ps-am:
1055
1056installcheck-am:
1057
1058maintainer-clean: maintainer-clean-recursive
1059		-rm -f ./$(DEPDIR)/gdkapplaunchcontext-win32.Plo
1060	-rm -f ./$(DEPDIR)/gdkcolor-win32.Plo
1061	-rm -f ./$(DEPDIR)/gdkcursor-win32.Plo
1062	-rm -f ./$(DEPDIR)/gdkdisplay-win32.Plo
1063	-rm -f ./$(DEPDIR)/gdkdnd-win32.Plo
1064	-rm -f ./$(DEPDIR)/gdkdrawable-win32.Plo
1065	-rm -f ./$(DEPDIR)/gdkevents-win32.Plo
1066	-rm -f ./$(DEPDIR)/gdkfont-win32.Plo
1067	-rm -f ./$(DEPDIR)/gdkgc-win32.Plo
1068	-rm -f ./$(DEPDIR)/gdkgeometry-win32.Plo
1069	-rm -f ./$(DEPDIR)/gdkglobals-win32.Plo
1070	-rm -f ./$(DEPDIR)/gdkim-win32.Plo
1071	-rm -f ./$(DEPDIR)/gdkimage-win32.Plo
1072	-rm -f ./$(DEPDIR)/gdkinput-win32.Plo
1073	-rm -f ./$(DEPDIR)/gdkinput.Plo
1074	-rm -f ./$(DEPDIR)/gdkkeys-win32.Plo
1075	-rm -f ./$(DEPDIR)/gdkmain-win32.Plo
1076	-rm -f ./$(DEPDIR)/gdkpixmap-win32.Plo
1077	-rm -f ./$(DEPDIR)/gdkproperty-win32.Plo
1078	-rm -f ./$(DEPDIR)/gdkscreen-win32.Plo
1079	-rm -f ./$(DEPDIR)/gdkselection-win32.Plo
1080	-rm -f ./$(DEPDIR)/gdkspawn-win32.Plo
1081	-rm -f ./$(DEPDIR)/gdktestutils-win32.Plo
1082	-rm -f ./$(DEPDIR)/gdkvisual-win32.Plo
1083	-rm -f ./$(DEPDIR)/gdkwin32id.Plo
1084	-rm -f ./$(DEPDIR)/gdkwindow-win32.Plo
1085	-rm -f Makefile
1086maintainer-clean-am: distclean-am maintainer-clean-generic
1087
1088mostlyclean: mostlyclean-recursive
1089
1090mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1091	mostlyclean-libtool
1092
1093pdf: pdf-recursive
1094
1095pdf-am:
1096
1097ps: ps-recursive
1098
1099ps-am:
1100
1101uninstall-am: uninstall-libgdkincludeHEADERS
1102
1103.MAKE: $(am__recursive_targets) check-am install-am install-strip
1104
1105.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1106	am--depfiles check check-am check-local clean clean-generic \
1107	clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1108	ctags-am dist-hook distclean distclean-compile \
1109	distclean-generic distclean-libtool distclean-tags distdir dvi \
1110	dvi-am html html-am info info-am install install-am \
1111	install-data install-data-am install-dvi install-dvi-am \
1112	install-exec install-exec-am install-html install-html-am \
1113	install-info install-info-am install-libgdkincludeHEADERS \
1114	install-man install-pdf install-pdf-am install-ps \
1115	install-ps-am install-strip installcheck installcheck-am \
1116	installdirs installdirs-am maintainer-clean \
1117	maintainer-clean-generic mostlyclean mostlyclean-compile \
1118	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1119	tags tags-am uninstall uninstall-am \
1120	uninstall-libgdkincludeHEADERS
1121
1122.PRECIOUS: Makefile
1123
1124# call as: $(XVFB_START) && someprogram
1125
1126# test: run all tests in cwd and subdirs
1127test: test-cwd test-recurse
1128# test-cwd: run tests in cwd
1129test-cwd: ${TEST_PROGS}
1130	@$(SKIP_GDKTARGET) || test -z "${TEST_PROGS}" || { \
1131	  $(XVFB_START) && { set -e; $(TESTS_ENVIRONMENT) ${GTESTER} --verbose ${TEST_PROGS}; }; \
1132	}
1133# test-recurse: run tests in subdirs
1134test-recurse:
1135	@ for subdir in $(SUBDIRS) ; do \
1136	    test "$$subdir" = "." -o "$$subdir" = "po" -o "$$subdir" = "po-properties" || \
1137	    ( cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) test ) || exit $? ; \
1138	  done
1139# test-report: run tests in subdirs and generate report
1140# perf-report: run tests in subdirs with -m perf and generate report
1141# full-report: like test-report: with -m perf and -m slow
1142test-report perf-report full-report:	${TEST_PROGS}
1143	@ ignore_logdir=true ; \
1144	  if test -z "$$GTESTER_LOGDIR" ; then \
1145	    GTESTER_LOGDIR=`mktemp -d "\`pwd\`/.testlogs-XXXXXX"`; export GTESTER_LOGDIR ; \
1146	    ignore_logdir=false ; \
1147	  fi ; \
1148	  for subdir in $(SUBDIRS) ; do \
1149	    test "$$subdir" = "." -o "$$subdir" = "po" -o "$$subdir" = "po-properties" || \
1150	    ( cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $@ ) || exit $? ; \
1151	  done ; \
1152	  $(SKIP_GDKTARGET) || test -z "${TEST_PROGS}" || { \
1153	    case $@ in \
1154	    test-report) test_options="-k";; \
1155	    perf-report) test_options="-k -m=perf";; \
1156	    full-report) test_options="-k -m=perf -m=slow";; \
1157	    esac ; \
1158	    $(XVFB_START) && { \
1159	      set -e; \
1160	      if test -z "$$GTESTER_LOGDIR" ; then \
1161	        ${GTESTER} --verbose $$test_options -o test-report.xml ${TEST_PROGS} ; \
1162	      elif test -n "${TEST_PROGS}" ; then \
1163	        ${GTESTER} --verbose $$test_options -o `mktemp "$$GTESTER_LOGDIR/log-XXXXXX"` ${TEST_PROGS} ; \
1164	      fi ; \
1165	    }; \
1166	  }; \
1167	  $$ignore_logdir || { \
1168	    echo '<?xml version="1.0"?>' > $@.xml ; \
1169	    echo '<report-collection>'  >> $@.xml ; \
1170	    for lf in `ls -L "$$GTESTER_LOGDIR"/.` ; do \
1171	      sed '1,1s/^<?xml\b[^>?]*?>//' <"$$GTESTER_LOGDIR"/"$$lf" >> $@.xml ; \
1172	    done ; \
1173	    echo >> $@.xml ; \
1174	    echo '</report-collection>' >> $@.xml ; \
1175	    rm -rf "$$GTESTER_LOGDIR"/ ; \
1176	    ${GTESTER_REPORT} --version 2>/dev/null 1>&2 ; test "$$?" != 0 || ${GTESTER_REPORT} $@.xml >$@.html ; \
1177	  }
1178.PHONY: test test-cwd test-recurse test-report perf-report full-report
1179# run make test-cwd as part of make check
1180check-local: test-cwd
1181
1182#
1183# Creates Visual Studio 2008/2010 projects from items passed in from autotools files
1184# $(1) - Base Name of the MSVC project files (outputs)
1185#
1186
1187define msvcproj-builder
1188
1189$(top_builddir)/build/win32/vs10/$(1).vcxproj: $(top_builddir)/build/win32/vs9/$(1).vcproj
1190$(top_builddir)/build/win32/vs10/$(1).vcxproj.filters: $(top_builddir)/build/win32/vs9/$(1).vcproj
1191$(1).sourcefiles: $(top_builddir)/build/win32/vs9/$(1).vcproj
1192$(1).vs10.sourcefiles: $(top_builddir)/build/win32/vs9/$(1).vcproj
1193$(1).vs10.sourcefiles.filters: $(top_builddir)/build/win32/vs9/$(1).vcproj
1194
1195$(top_builddir)/build/win32/vs9/$(1).vcproj: Makefile
1196	-$(RM) $(top_builddir)/build/win32/vs9/$(1).vcproj
1197	-$(RM) $(top_builddir)/build/win32/vs10/$(1).vcxproj
1198	-$(RM) $(top_builddir)/build/win32/vs10/$(1).vcxproj.filters
1199	-$(RM) $(top_builddir)/build/win32/vs11/$(1).vcxproj
1200	-$(RM) $(top_builddir)/build/win32/vs11/$(1).vcxproj.filters
1201	-$(RM) $(top_builddir)/build/win32/vs12/$(1).vcxproj
1202	-$(RM) $(top_builddir)/build/win32/vs12/$(1).vcxproj.filters
1203	-$(RM) $(top_builddir)/build/win32/vs14/$(1).vcxproj
1204	-$(RM) $(top_builddir)/build/win32/vs14/$(1).vcxproj.filters
1205	-$(RM) $(top_builddir)/build/win32/vs15/$(1).vcxproj
1206	-$(RM) $(top_builddir)/build/win32/vs15/$(1).vcxproj.filters
1207
1208	for F in $(_proj_files); do \
1209		case $$$$F in \
1210		$(_proj_filters)) \
1211			;; \
1212		*.c|*.cpp|*.cc|*.cxx) \
1213			echo '   <File RelativePath="..\..\..'$(_proj_subdir)$$$$F'" />' >>$(1).sourcefiles && \
1214			echo '   <ClCompile Include="..\..\..'$(_proj_subdir)$$$$F'" />' >>$(1).vs10.sourcefiles && \
1215			echo '   <ClCompile Include="..\..\..'$(_proj_subdir)$$$$F'"><Filter>Source Files</Filter></ClCompile>' >>$(1).vs10.sourcefiles.filters \
1216			;; \
1217		esac;	\
1218	done
1219
1220	$(CPP) -P - <$(top_srcdir)/build/win32/vs9/$(1).vcprojin >$(top_builddir)/build/win32/vs9/$(1).vcproj
1221	$(CPP) -P - <$(top_srcdir)/build/win32/vs10/$(1).vcxprojin >$(top_builddir)/build/win32/vs10/$(1).vcxproj
1222	$(CPP) -P - <$(top_srcdir)/build/win32/vs10/$(1).vcxproj.filtersin >$(top_builddir)/build/win32/vs10/$(1).vcxproj.filters
1223	$(RM) $(1).sourcefiles
1224	$(RM) $(1).vs10.sourcefiles
1225	$(RM) $(1).vs10.sourcefiles.filters
1226
1227$(top_builddir)/build/win32/vs10/$(1).vs10.headers: $(top_builddir)/build/win32/vs9/$(1).headers
1228
1229$(top_builddir)/build/win32/vs9/$(1).headers: Makefile
1230	-$(RM) $(top_builddir)/build/win32/vs9/$(1).headers
1231	-$(RM) $(top_builddir)/build/win32/vs10/$(1).vs10.headers
1232
1233	for F in $(_proj_headers); do \
1234		case $$$$F in \
1235		$(_proj_headers_excludes)) \
1236			;; \
1237		*.h|*.hpp|*.hh|*.hxx) \
1238			echo 'copy ..\..\..'$(_proj_subdir)$$$$F' $$$$(CopyDir)\include'$(_headers_destdir)'\'$$$$F'&#x0D;&#x0A;' >>$(top_builddir)/build/win32/vs9/$(1).headers && \
1239			echo 'copy ..\..\..'$(_proj_subdir)$$$$F' $$$$(CopyDir)\include'$(_headers_destdir)'\'$$$$F >>$(top_builddir)/build/win32/vs10/$(1).vs10.headers \
1240			;; \
1241		esac;	\
1242	done
1243
1244endef
1245
1246$(foreach proj,$(MSVCPROJS),$(eval $(call msvcproj-builder,$(proj))))
1247
1248dist-hook: $(top_builddir)/build/win32/vs9/gdk-win32.vcproj $(top_builddir)/build/win32/vs9/gdk-win32.headers
1249
1250-include $(top_srcdir)/git.mk
1251
1252# Tell versions [3.59,3.63) of GNU make to not export all variables.
1253# Otherwise a system limit (for SysV at least) may be exceeded.
1254.NOEXPORT:
1255